Subject: Re: bug#31851: 26.1; Support a frame-wide bar similar to the mode line

From: martin rudalics <[email-masked]>
Date: Sat, 16 Jun 2018 08:41:40 +0200

> It would be nice to have something similar to the mode line but that
 > doesn't get duplicated for every window. This would be nice to show (for
 > example) non-window-specific information like the time, number of new
 > emails/notifications, etc.
 >
 > It would also be nice if the location was configurable (I'd personally
 > like it to be displayed across the top of the frame rather than the
 > bottom).

You can use a side window, see section 28.19 "Side Windows" of the Elisp
manual, for that.

martin